Public Member Functions | List of all members
clan::NetGameServer Class Reference
clanNetwork NetGame

NetGameServer. More...

`#include <server.h>`

Inheritance diagram for clan::NetGameServer:

## Public Member Functions
| NetGameServer ()
| ~NetGameServer ()
void | process_events ()
| Process events. More...
void | send_event (const NetGameEvent &game_event)
| Send event. More...
Signal< void(NetGameConnection *)> & | sig_client_connected ()
Signal< void(NetGameConnection *, const std::string &)> & | sig_client_disconnected ()
Signal< void(NetGameConnection *, const NetGameEvent &)> & | sig_event_received ()
void | start (const std::string &port)
| Start. More...
void | start (const std::string &address, const std::string &port)
| Start. More...
void | stop ()
| Stop. More...

## Detailed Description

NetGameServer.

The documentation for this class was generated from the following file:

- server.h